<?php

namespace Corefinex\Message;

use \Illuminate\Support\ServiceProvider;
use App;

class MessageServiceProvider extends ServiceProvider
{
    public function register()
    {
        // Register Migrate
        $this->loadMigrationsFrom(__DIR__ . '/Database');

        // Register Route
        $this->loadRoutesFrom(__DIR__ . '/Route/web.php');

        // Register View
        $this->loadViewsFrom(__DIR__ . '/View', 'CorefinexMessageView');
        $this->app->bind('Message',function(){

            return new Message();

        });
        parent::register(); // TODO: Change the autogenerated stub
    }

    public function boot()
    {
        // Load Package Helper After Boot
        require __DIR__ . '/helper.php';
    }
}
